Bug 1003075 - [abrt] gnuradio-3.6.5-3.fc19: uhd_swig.py:2470:usrp_source:RuntimeError: LookupError: KeyError: No devices found for ----->
[abrt] gnuradio-3.6.5-3.fc19: uhd_swig.py:2470:usrp_source:RuntimeError: Look...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gnuradio (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jaroslav Škarvada
Fedora Extras Quality Assurance
abrt_hash:80fcaee82d3a6e599e47df148c0...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-30 13:33 EDT by Raf
Modified: 2013-09-16 20:30 EDT (History)
3 users (show)

See Also:
Fixed In Version: gnuradio-3.6.5-4.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-16 20:30:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.75 KB, text/plain)
2013-08-30 13:33 EDT, Raf
no flags Details
File: environ (3.83 KB, text/plain)
2013-08-30 13:34 EDT, Raf
no flags Details

  None (edit)
Description Raf 2013-08-30 13:33:52 EDT
Version-Release number of selected component:
gnuradio-3.6.5-3.fc19

Additional info:
reporter:       libreport-2.1.6
cmdline:        /usr/bin/python /usr/bin/uhd_fft
dso_list:       wxPython-2.8.12.0-4.fc19.x86_64
executable:     /usr/bin/uhd_fft
kernel:         3.9.5-301.fc19.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
uhd_swig.py:2470:usrp_source:RuntimeError: LookupError: KeyError: No devices found for ----->
Empty Device Address

Traceback (most recent call last):
  File "/usr/bin/uhd_fft", line 341, in <module>
    main ()
  File "/usr/bin/uhd_fft", line 337, in main
    app = stdgui2.stdapp(app_top_block, "UHD FFT", nstatus=1)
  File "/usr/lib64/python2.7/site-packages/gnuradio/wxgui/stdgui2.py", line 38, in __init__
    wx.App.__init__ (self, redirect=False)
  File "/usr/lib64/python2.7/site-packages/wx-2.8-gtk2-unicode/wx/_core.py", line 7981, in __init__
    self._BootstrapApp()
  File "/usr/lib64/python2.7/site-packages/wx-2.8-gtk2-unicode/wx/_core.py", line 7555, in _BootstrapApp
    return _core_.PyApp__BootstrapApp(*args, **kwargs)
  File "/usr/lib64/python2.7/site-packages/gnuradio/wxgui/stdgui2.py", line 42, in OnInit
    self._max_noutput_items)
  File "/usr/lib64/python2.7/site-packages/gnuradio/wxgui/stdgui2.py", line 64, in __init__
    self.panel = stdpanel (self, self, top_block_maker, max_nouts)
  File "/usr/lib64/python2.7/site-packages/gnuradio/wxgui/stdgui2.py", line 86, in __init__
    self.top_block = top_block_maker (frame, self, vbox, sys.argv)
  File "/usr/bin/uhd_fft", line 91, in __init__
    otw_format=options.wire_format, args=options.stream_args))
  File "/usr/lib64/python2.7/site-packages/gnuradio/uhd/__init__.py", line 116, in constructor_interceptor
    return old_constructor(*args)
  File "/usr/lib64/python2.7/site-packages/gnuradio/uhd/uhd_swig.py", line 2470, in usrp_source
    return _uhd_swig.usrp_source(*args)
RuntimeError: LookupError: KeyError: No devices found for ----->
Empty Device Address

Local variables in innermost frame:
args: (, <gnuradio.uhd.stream_args_t; proxy of <Swig Object of type 'uhd::stream_args_t *' at 0x4e32db0> >)
Comment 1 Raf 2013-08-30 13:33:56 EDT
Created attachment 792267 [details]
File: backtrace
Comment 2 Raf 2013-08-30 13:34:02 EDT
Created attachment 792268 [details]
File: environ
Comment 3 Fedora Update System 2013-09-02 05:30:01 EDT
gnuradio-3.6.5-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/gnuradio-3.6.5-4.fc19
Comment 4 Fedora Update System 2013-09-02 19:32:55 EDT
Package gnuradio-3.6.5-4.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gnuradio-3.6.5-4.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-15687/gnuradio-3.6.5-4.fc19
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-09-16 20:30:30 EDT
gnuradio-3.6.5-4.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.